This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1261428 - ipv6 dns set even if ipv6.ignore-auto-dns set yes
ipv6 dns set even if ipv6.ignore-auto-dns set yes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Haller
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 06:07 EDT by Vladimir Benes
Modified: 2015-11-19 06:04 EST (History)
4 users (show)

See Also:
Fixed In Version: NetworkManager-1.0.6-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:04:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2015-09-09 06:07:22 EDT
Description of problem:
ipv6 dns set even if ipv6.ignore-auto-dns set yes

ipv4.method:                            auto
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         
ipv4.gateway:                           --
ipv4.routes:                            
ipv4.route-metric:                      -1
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   yes
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            auto
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         
ipv6.gateway:                           --
ipv6.routes:                            
ipv6.route-metric:                      -1
ipv6.ignore-auto-routes:                no
ipv6.ignore-auto-dns:                   yes
ipv6.never-default:                     no
ipv6.may-fail:                          yes
ipv6.ip6-privacy:                       -1 (unknown)
ipv6.dhcp-send-hostname:                yes
ipv6.dhcp-hostname:                     --

[root@qe-dell-ovs5-vm-55 ~]# cat /etc/resolv.conf 
# Generated by NetworkManager
search (stripped out)
nameserver 2620:52:0:beef:c866:f2ff:fe8a:b0c9

[root@qe-dell-ovs5-vm-55 ~]# nmcli c s -a
NAME   UUID                                  TYPE            DEVICE 
eth10  3bc4de1c-dc29-43b4-96ac-c42edc127ea6  802-3-ethernet  eth10  

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-3.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.ipv6.ignore-auto-dns

Actual results:
nameserver set in resolv.conf

Expected results:
shouldn't be

Additional info:
ipv4 version works as expected
Comment 4 Vladimir Benes 2015-09-09 10:53:46 EDT
working correctly now. verified on all arches.
Comment 10 errata-xmlrpc 2015-11-19 06:04:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html

Note You need to log in before you can comment on or make changes to this bug.